# Class XMLParsingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
ml.options.XMLParsingException

All Implemented Interfaces:
  `Serializable`

public class XMLParsingException extends RuntimeException
`XMLParsingException` is thrown if an XML file provided to define option sets and options contains errors

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`XMLParsingException()`
Constructs a new `XMLParsingException` exception with `null` as its detail message.
`XMLParsingException(String message)`
Constructs a new `XMLParsingException` exception with the specified detail message.
`XMLParsingException(String message, Throwable cause)`
Constructs a new `XMLParsingException` exception with the specified detail message and cause.
`XMLParsingException(Throwable cause)`
Constructs a new `XMLParsingException` exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XMLParsingException

public XMLParsingException()
Constructs a new `XMLParsingException` exception with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(Throwable)`.

### XMLParsingException

public XMLParsingException(String message)
Constructs a new `XMLParsingException` exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(Throwable)`.

Parameters:
  `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

### XMLParsingException

public XMLParsingException(String message, Throwable cause)
Constructs a new `XMLParsingException` exception with the specified detail message and cause.

Note that the detail message associated with `cause` is not automatically incorporated in this `XMLParsingException` exception's detail message.

Parameters:
  `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

### XMLParsingException

public XMLParsingException(Throwable cause)
Constructs a new `XMLParsingException` exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for `XMLParsingException` exceptions that are little more than wrappers for other throwables.

Parameters:
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)